Package com.sas.lsaf.messaging.subscription

## Enum SubscriptionEvent

- java.lang.Object
- - java.lang.Enum<SubscriptionEvent>
  - - com.sas.lsaf.messaging.subscription.SubscriptionEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SubscriptionEvent>`

      public enum SubscriptionEvent
      extends java.lang.Enum<SubscriptionEvent>

  The values for the events for which subscriptions can be created.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `JOB_FAILED_EVENT` | Event when a job submission fails.
    `JOB_START_EVENT` | Event when a job submission is initiated.
    `LOCK_EVENT` | Event when a repository file is locked.
    `SCHEDULED_JOB_START_EVENT` | Event when a job submission is initiated by the scheduler.
    `SIGN_EVENT` | Event when a repository file is signed.
    `UNLOCK_EVENT` | Event when a repository file is unlocked.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SubscriptionEvent` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SubscriptionEvent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JOB_START_EVENT

          public static final SubscriptionEvent JOB_START_EVENT

      Event when a job submission is initiated.

    - #### JOB_FAILED_EVENT

          public static final SubscriptionEvent JOB_FAILED_EVENT

      Event when a job submission fails. This includes job failures and program errors.

    - #### SCHEDULED_JOB_START_EVENT

          public static final SubscriptionEvent SCHEDULED_JOB_START_EVENT

      Event when a job submission is initiated by the scheduler.

    - #### LOCK_EVENT

          public static final SubscriptionEvent LOCK_EVENT

      Event when a repository file is locked.

    - #### UNLOCK_EVENT

          public static final SubscriptionEvent UNLOCK_EVENT

      Event when a repository file is unlocked.

    - #### SIGN_EVENT

          public static final SubscriptionEvent SIGN_EVENT

      Event when a repository file is signed.

  - ### Method Detail

    - #### values

          public static SubscriptionEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscriptionEvent c : SubscriptionEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscriptionEvent valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null